package Email::MIME::Creator;
use strict;
use vars qw[$VERSION];
$VERSION='1.903';
use base q[Email::Simple::Creator];
use Email::MIME;
use Encode ();
sub _construct_part{my($class,$body)=@_;
my$is_binary=$body=~/[\x00\x80-\xFF]/;
my$content_type=$is_binary?'application/x-binary':'text/plain';
Email::MIME->create(attributes=>{content_type=>$content_type,encoding=>($is_binary?'base64':''),},body=>$body,);}1;
__END__

