DirectMail.mf = DirectMail.mf || {};
var it = function (n, ord) {
  var s = String(n).split('.'), v0 = !s[1];
  if (ord) return ((n == 11 || n == 8 || n == 80
          || n == 800)) ? 'many' : 'other';
  return (n == 1 && v0) ? 'one' : 'other';
};
var plural = function (value, offset, lcfunc, data, isOrdinal) {
  if ({}.hasOwnProperty.call(data, value)) return data[value];
  if (offset) value -= offset;
  var key = lcfunc(value, isOrdinal);
  if (key in data) return data[key];
  return data.other;
};
var fmt = {
  number: function (value, lc, arg
  /*``*/) {
  
    var a = arg && arg.split(':') || []
    var opt = {
      integer: { maximumFractionDigits: 0 },
      percent: { style: 'percent' },
      currency: {
        style: 'currency',
        currency: a[1] && a[1].trim() || "USD",
        minimumFractionDigits: 2,
        maximumFractionDigits: 2
      }
    }
    return new Intl.NumberFormat(lc, opt[a[0]] || {}).format(value)
  
  }
};

DirectMail.mf.HistorySummary = {
  SCHEDULE_DELIVERY: function(d) { return "Pianifica la consegna"; },
  RESCHEDULE_DELIVERY: function(d) { return "Ripianifica consegna"; },
  CANCELLING: function(d) { return "Annullo…"; },
  CANCEL_DELIVERY: function(d) { return "Annulla consegna"; },
  UPDATE_ERROR_DETAILS: function(d) { return "Si è verificato un errore durante l’aggiornamento di questo resoconto: " + d.error_description; },
  UPDATE_ERROR: function(d) { return "Si è verificato un errore durante l’aggiornamento di questo resoconto."; },
  POPOVER_BOUNCES: function(d) { return d.value + " rimbalzate (" + d.ratio + " dei destinatari)"; },
  POPOVER_SPAM: function(d) { return d.value + " contrassegnate come spam (" + d.ratio + " delle email consegnate)"; },
  POPOVER_UNSUBSCRIBES: function(d) { return d.value + " iscrizioni annullate (" + d.ratio + " delle email consegnate)"; },
  TOOLTIP_NUM_CLICKED_LINK: function(d) { return plural(d.num_clicked, 0, it, { one: "1 destinatario ha fatto clic su questo link", other: fmt.number(d.num_clicked, "it", "integer") + " destinatari hanno fatto clic su questo link" }); },
  POPOVER_OPENS: function(d) { return d.number_opened + " hanno aperto (" + d.open_rate + " delle email consegnate, " + plural(d.number_of_views, 0, it, { one: "1 apertura totale", other: fmt.number(d.number_of_views, "it", "integer") + " aperture totali" }) + ")"; },
  POPOVER_CLICKS: function(d) { return d.number_clicked + " hanno fatto clic (" + d.click_rate + " delle email consegnate, " + plural(d.number_of_clicks, 0, it, { one: "1 clic totale", other: fmt.number(d.number_of_clicks, "it", "integer") + " clic totali" }) + ")"; }
}
;
if ( fmt !== undefined ) {
    if ( window.DirectMail_nativeController !== undefined && window.DirectMail_nativeController.formatNumber !== undefined ) {
        fmt.number = function(v,lc,p) {
            return window.DirectMail_nativeController.formatNumber(v,p);
        };
    }
    else {
        var fmt_number = fmt.number;
        fmt.number = function(v,lc,p) {
            return fmt_number(v,navigator.language,p);
        };
    }
}
